Status: Closed Start date: 13 Jan 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: enhancing/improving Estimated time: 1.55 hour

Target version: CoCoA-5.4.0 Spent time: 1.55 hour

Description

Here is another seemingly simple system where ApproxSolve is unexpectedly slow

 use QQ[x,y,z];

 L := [x^4 -y*z^3 +z^4,  y^4 -x^2*y*z +2*x*z^3,  z^4 -x*y^2 +3*y^3];

 solns := ApproxSolve(L);

Related issues:

Related to CoCoA-5 - Slug #907: ApproxSolve very slow on this example Closed 14 Jul 2016

History

#1 - 13 Jan 2020 20:52 - John Abbott

It took about 3mins on my computer:  anyway not more than 220s.

#2 - 14 Jan 2020 08:27 - Anna Maria Bigatti

- Related to Slug #907: ApproxSolve very slow on this example added

#3 - 16 Jan 2020 16:31 - Anna Maria Bigatti

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 50

We (Robbiano and I) found a way to solve it quickly: compute the radical first!

/**/ t_0:=CpuTime(); SA := ApproxSolve(gens(radical(ideal(L)))); TimeFrom(t_0);

0.949

Obviously, when I wrote the code in ApproxSolve, the radical was not as good as it is now ;-)

I'll change the code in ApproxSolve.cpkg5 so that it computes the radical internally.

#4 - 16 Feb 2021 14:09 - John Abbott

- Description updated

- Status changed from In Progress to Resolved

- % Done changed from 50 to 80
The example given is quite quick now (0.5s on my computer).

Marking as "resolved" (don't know by whom or when).

#5 - 24 Sep 2021 22:21 - John Abbott

- Description updated

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time set to 1.55 h
